irssi-plugin-xmpp_0.52+git20140102-2+b1_amd64.deb


Advertisement

Description

irssi-plugin-xmpp - XMPP plugin for irssi

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: irssi-plugin-xmpp
Package version: 0.52+git20140102
Package release: 2+b1
Package architecture: amd64
Package type: deb
Installed size: 203 B
Download size: 69.58 KB
Official Mirror: ftp.br.debian.org
An irssi plugin to connect to the Jabber network, using the XMPP protocol. Its main features are: - Sending and receiving messages in irssi's query windows - A roster with contact & resource tracking (contact list) - Contact management (add, remove, manage subscriptions) - Tab completion of commands, JIDs and resources - Support for multiple accounts - Unicode support (UTF-8) - SSL support

Alternatives

    Download

    Source package: irssi-plugin-xmpp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install irssi-plugin-xmpp deb package:
      # sudo apt-get install irssi-plugin-xmpp

    Files

    • /usr/lib/irssi/modules/libfe_xmpp.so
    • /usr/lib/irssi/modules/libtext_xmpp.so
    • /usr/lib/irssi/modules/libxmpp_core.so
    • /usr/share/doc/irssi-plugin-xmpp/FAQ
    • /usr/share/doc/irssi-plugin-xmpp/GENERAL.gz
    • /usr/share/doc/irssi-plugin-xmpp/INTERNAL
    • /usr/share/doc/irssi-plugin-xmpp/MUC
    • /usr/share/doc/irssi-plugin-xmpp/README
    • /usr/share/doc/irssi-plugin-xmpp/STARTUP
    • /usr/share/doc/irssi-plugin-xmpp/TODO
    • /usr/share/doc/irssi-plugin-xmpp/XEP
    • /usr/share/doc/irssi-plugin-xmpp/changelog.Debian.amd64.gz
    • /usr/share/doc/irssi-plugin-xmpp/changelog.Debian.gz
    • /usr/share/doc/irssi-plugin-xmpp/changelog.gz
    • /usr/share/doc/irssi-plugin-xmpp/copyright
    • /usr/share/irssi/help/presence
    • /usr/share/irssi/help/roster
    • /usr/share/irssi/help/xmppconnect
    • /usr/share/irssi/help/xmppserver
    • /usr/share/irssi/scripts/xmpp-admin.pl

    Changelog

    2014-07-15 - Florian Schlichting <fsfs@debian.org> irssi-plugin-xmpp (0.52+git20140102-2) unstable; urgency=medium * Add require-starttls.patch to ensure encrypted connections and prevent ssl-stripping attacks (closes: #754839). Thanks dkg for the patch! * Fix conflicting declarations of set_ssl and ensure encryption when registering (closes: #749411)

    2014-01-03 - Florian Schlichting <fsfs@debian.org> irssi-plugin-xmpp (0.52+git20140102-1) unstable; urgency=medium [ Florian Schlichting ] * Import Upstream version 0.52+git20140102 * Add VCS-* fields for collab-maint on alioth * Add upstream git URL to Source field in debian/copyright * Drop patches plucked from upstream CVS * Refresh hardening.patch (offset, drop hunk fixed upstream) * Provide xmpp-admin.pl script by Seth Difley * Add GTalk-MUC-support.patch, plucked from github/freemandrew * Add support for XMPP-PGP, plucked from github/singpolyma * New useless-dependency-on-libidn.patch, to fix a lintian warning * Declare compliance with Debian Policy 3.9.5

    2013-05-06 - Florian Schlichting <fsfs@debian.org> irssi-plugin-xmpp (0.52-2) unstable; urgency=low * Added hardening.patch to actually use the dpkg-buildflags. * Dropped version on irssi(-dev) dependency * Email change: Florian Schlichting -> fsfs@debian.org * Patches plucked from upstream CVS: + kill-the-stroneline-function (closes: #693079) + fix-crash-on-empty-resource + replace-deprecated-g_strncasecmp

    2012-04-08 - Florian Schlichting <fschlich@zedat.fu-berlin.de> irssi-plugin-xmpp (0.52-1) unstable; urgency=low * New Maintainer (closes: #667987). * Imported Upstream version 0.52 (closes: #661302). + fixing MUC invites to be compliant (closes: #609530). * Bumped debhelper compatibility to level 9. * Refreshed debian/copyright, switching to copyright-format 1.0. * Bumped Standards-Version to 3.9.3 (no further changes). * Renamed docs to irssi-plugin-xmpp.docs, include all of docs/, TODO. * Switched to short debian/rules. * Added a watch file. * Added pkg-config to build-dependencies. * Added Homepage field to source package control paragraph.

    2010-07-06 - David Ammouial <da-deb@weeno.net> irssi-plugin-xmpp (0.51+cvs20100627-1) unstable; urgency=low * New upstream release + CVS snapshot (Closes: #588163). - Prompt for a password if none was provided in the configuration (Closes: #580659). - Don't segfault upon reception of a ping without "from" field. (Closes: #521227). - Various bugfixes and improvements. * Provide a package with debugging symbols (Closes: #580658). * Bump Standards-Version to 3.8.4 (no changes needed).

    2010-01-22 - David Ammouial <da-deb@weeno.net> irssi-plugin-xmpp (0.50+cvs20100122-1) unstable; urgency=low * New CVS snapshot that allows connections to talk.google.com (Closes: #565581).

    2010-01-06 - David Ammouial <da-deb@weeno.net> irssi-plugin-xmpp (0.50+cvs20100105-1) unstable; urgency=low * New CVS snapshot. - Delayed Delivery (XEP-0203) support. - Account registration support. - Support for /CYCLE command, similar to IRC's. - Modification of "/roster add" behaviour. - TLS is used for connecting when available (Closes: #526356). - Use a timeout on connections to prevent frozen connections. * Bump Standards-Version to 3.8.3 (no changes). * Fix handling of CFLAGS environment in upstream Makefile (many thanks to Raphaël Hertzog).

    2009-06-19 - David Ammouial <da-deb@weeno.net> irssi-plugin-xmpp (0.13+cvs20090617-1) unstable; urgency=low * New CVS snapshot: - Some bugfixes and code cleanup. - Allow to build on ia64 (Closes: #530304). * Bump Standards-Version to 3.8.2 (no changes).

    Advertisement
    Advertisement